-5

I wonder whether it is time to re-address the question about the (currently enforced) policy of treating EOL releases as off-topic. It strikes me as not only highly unintuitive but ultimately detrimental (see argument below), and so I would like to argue for a change of policy.

Current state of play: My investigations prior to posting this has given me the impression that the received view has shifted through the history of the site. According to this roundup, "we overwhelmingly supported allowing" EOL questions around Nov '11, there was an even split around May '12, and "Around December '12, we had a ~2:1 majority in favor of considering new questions about EoL releases off-topic." The link in support of the last claim, however, no longer supports the 2:1 conclusion at all, it seems to me. Rather, there is a strong majority in favour of letting them be treated as on-topic, if judged by the upvote-scores in relation to the respective answers. Finally, in an 11 month old post, the current policy of treating them as 'off-topic' has overwhelming support.

My case: Since the support for the policy seems to oscillate, I think re-adressing the issue is reasonable. I think we definitely should allow them, for at least these reasons:

  1. It is the logical option: This site is explicitly a Q&A site for 'all flavours of Ubuntu'. EOL Releases are definitely flavours of Ubuntu. Hence, questions regarding them should be allowed. And calling them 'off-topic' is so unintuitive to me that I can hardly write it down.
  2. There is a need: Many people de facto have machines running EOL releases of Ubuntu. These people may have questions.
  3. People may have good reasons to stay in a EOL release: There may be good reasons for some of these people not to upgrade to a more recent release, even given that their EOL are not supported by Canonical. Such a reason may be that everything they need (or mostly everything, since otherwise why ask a question) work, so why breaking the spell with an upgrade, or go through the hassle of an install from scratch. Maybe they are not even online, so security issues are not actually issues.
  4. The current policy is not coherently enforced: Some questions that are, in fact, about EOL releases are already allowed. This is an argument for allowing EOL questions, since...
  5. EOL questions are sometimes very popular: Their popularity indicates that the community actually appreciates such questions.
  6. If the community coherently enforced the rule of no questions re EOL releases, popular posts such as the one above would have to be cleansed from the site, which seems a high and unnecessary prise to pay.
  7. It has the highest utility: Last but not least, I believe that allowing the questions leads to better consequences than forbidding them, the argument for which comes in my meeting the main arguments for the current policy (as I understand them):

The main arguments for not allowing EOL questions seem to be the security danger of staying in an EOL release, and that not upgrading ends up costing more time and effort compared to taking the plunge. About the former, I admit that denying people answers may be a way to 'force' people into upgrading. But I question the overall utility of that claim: rather, it may turn these people off the site. In that case, they will not be recipients of arguments for why they should consider upgrading. Why not instead provide the standard upgrade recommendation with the answer instead, or as a comment if no answer is forthcoming, and let the recipient act on the advice she judges to be the best? It is my firm believe that after a few security reprimands and 'this is supported directly in the XXX version but you may do it in this very complicated way in your version', most people do upgrade. Moreover, even if I am wrong here and more people do upgrade if you forbid EOL questions, it seems unnecessarily paternalistic to me.

About the latter argument, it seems to be only a contingent truth. Sometimes that is the case, sometimes not. So why not let the community decide whether it is a question that may be effectively answered or not. Naturally no one should be forced to answer a question she believes to be better handled by upgrading. But if someone is willing, why should she not be allowed to?

So I conclude: if someone is wondering, let them ask. Ubuntu-questions should not be considered off-topic on a Ubuntu Q&A site.

PS. On a personal note, I stumbled into this off-topic business by asking a 11.10 related question, and was indeed helped although it was put on hold. As it turned out, however, in the end I myself judged that keeping the old release would amount to more bother than just upgrading, and so I cloned the disk and pressed the upgrade button. And voila, it all worked out splendidly, not a single program or process I care about is broken, and all it cost me was an evening of setting up the clone (and a little wait). But I still like that fact that I made that decision myself and was not forced into it by the EOL ban.

EDIT sept 26: Since some time has now gone and there is a clear majority of the answers wanting to keep the policy, I'll check Oli's answer (currently most popular) It was instructive to me to see that so many people actually defend the policy. I still think removing it would be better, but I do respect the opinion of the community, especially the ones spending such an effort responding to the questions. Good on you!

  • 2
    Your example isn't very good because that question is mostly about upgrading, although it does occasionally solve other problems. The main reason we close questions about EOL releases is because the real answer to the question is to upgrade. – Seth Sep 16 '14 at 15:17
  • I do not get your argument here: 1) why is the example bad? It is a EOL question, right? 2) why is a question having the best answer being 'upgrade because X' a reason for treating the question as off-topic? Please explain. – Nick The Swede Sep 16 '14 at 15:24
  • 5
    I'm not sure if it's relevant but questions about upgrading from unsupported releases are explicitly on-topic. – Oli Sep 16 '14 at 15:33
  • 2
    Posts are not cleansed due to the simple fact They were on-topic when they were asked – Mateo Sep 16 '14 at 15:36
  • I am not sure about what your point is here, Mateo -- are you referring to any of the posts I link to? Otherwise, I agree but do not see the relevance for the EOL policy. – Nick The Swede Sep 16 '14 at 16:49
  • 1
    The one question you reference is an edge case, in that there will always be a version behind - so we need a question that has the info "How do I upgrade" - "How to get software", because there are several situations, maybe they just missed the eol date, maybe they dug up the old pc and are upgrading messing around, this stays, and the information is not specific to the EOL release. The other situation is someone asks a question about 12.04 - the question sits unanswered, or low answers, unaccepted. Once 12.04 is EOL we don't then close or delete questions that were asked before it was EOL. – Mateo Sep 16 '14 at 18:11
  • I don't see any 'edge' status here: the referenced question clearly is about version already old at the time of writing, "I have installed an older version of Ubuntu...", and the answer clearly answers the specific question as well as telling the OP to upgrade. – Nick The Swede Sep 16 '14 at 21:00
  • 1
    It's as simple as - If we want people to be up to date, and be vigilant about it, we need to be able to support people that are upgrading to a supported release, just like Oli said, they are explicitly on-topic. This is essentially like two questions - "How to start a fire" and "How to escape a building on fire" they are both about fire, we must support people escaping from EOL releases. I suggest finding a different example, as I see this question as a good reason to keep the EOL policy, as it serves as a postmark and is referenced in the EOL closing reason. – Mateo Sep 16 '14 at 21:35
  • 1
    @Mateo I wouldn't really consider this a duplicate, bringing up an issue again is ok as long as the last time it was discussed wasn't too soon. – Seth Sep 17 '14 at 0:14
  • @Mateo: Using your metaphor, the linked question is about how to survive by staying in that building (clearly EOL) and the most popular answer by far directly tell him how that is done (the EOL-solution) as well as recommending escape (i.e. upgrade). As for the duplicate comment: since the first sentence of my post starts "I wonder whether it is time to re-address the question" as well as linking to that prior poll in my own post, I am at loss how to interpret that comment in a charitable way. – Nick The Swede Sep 17 '14 at 7:25
  • Just think of it this way. The question is mostly about getting out of the building, so it is allowed to stay, even though it can be used for other purposes. – Seth Sep 17 '14 at 19:53
  • FWIW, I am writing an answer to this, I've just been too busy to finish it recently. – Seth Sep 26 '14 at 14:49
  • Looking forward to it -- the last word is not said yet ;) – Nick The Swede Sep 27 '14 at 12:08
  • Sorry, life has been really busy. I'm still planning on answering :) – Seth Oct 9 '14 at 2:10
  • No rush -- good things are worth the wait (you see, you are building expectations here ;) – Nick The Swede Oct 9 '14 at 6:48
6

I think various wildlife control policies are an apt analogy. Out-of-support Ubuntu systems (or Windows XP or any other distribution) are vermin in that they are responsible for spreading disease. All their applications fall behind in support and they get hacked with ridiculous ease. They're then used to hack other machines, send spam, host horrible crap. Hacked and exploited machines form the basis of internet crime.

If you want to keep a wild rat, you can. If it bites you, that's your fault. But people are here to help people with their pet Ubuntu installations, so why should we or any other site seek to facilitate anything but the swift and humane dispatch of your 11.10 box that hasn't received an update in almost 18 months?

People are free to make the choice to stick with something that actively makes the internet worse but they shouldn't expect our blessing through community support.

I do get the other side of this, and you've done a good job at enumerating many of the problems of keeping the policy. I'll add that we occasionally get caught up in huge bouts of nonsense as historical questions get sucked into the review process... But the public health argument is pretty serious.

  • 2
    I hear you, but think that the analogy does not really work: wildlife is not responsible to arguments, but people are (or at least can be). So why not allow the questions, choose not to answer them if you feel that they are not worth your time (or just add the 'update is a better idea' stamp to their questions), but let those inclined to help do so -- and they may of course also recommend updating. – Nick The Swede Sep 16 '14 at 17:13
  • And by the way, I hope "Your choice..." here was a general 'you' and not directed at me personally, since I, (as I added in my PS) did indeed upgrade. – Nick The Swede Sep 16 '14 at 17:16
  • Computers aren't responsible for anything. People are. It's similar with animals and (following my wildlife analogy) it's illegal to release (or facilitate the release) of vermin or harmful species into the wild, in many places. – Oli Sep 17 '14 at 18:19
7

I would be against it.

We are an official support site so it would be logical to not support end of life releases. It should be the official stance to upgrade to a supported site if not just for security related problems that can arise. Besides that: if the release is important most of us will not be able to check our answer (since none of us will have that release active).

I might be wrong but questions about end of life releases can still be asked on https://unix.stackexchange.com/ So there is a place to ask questions; just not askubuntu.com

  • Interesting: I neither knew that there were such close links btw Canonical and AskUbuntu nor that there is, in a sense at least, an outlet for EOL question elsewhere under the same umbrella. Those are two good reasons against my position, I admit. Although I still think allowing EOL questions and trust the 'force of the better argument' (as our friend Jürgen Habermas would say) is a better way. But maybe I am just being overly optimistic. – Nick The Swede Sep 17 '14 at 17:37
5

On the one hand I agree with you. I find the Ubuntu culture of always upgrading very annoying. I also don't see the point of making questions about older versions off topic. What if I can't upgrade due to hardware/time constraints? What if my boss won't let me? What if I don't have physical access to the machine in question? I've never understood why these questions are off topic here.

As far as I can tell, there are two reasons why EOL questions are off topic:

  1. The aforementioned Ubuntu culture of always upgrading. This seems to be very deeply ingrained in the Ubuntu community.

  2. It is a relatively simple way to keep the volume of questions down. We already get far more questions than we answer so keeping EOL out makes the load more manageable.

Whatever the case, and while I did upvote your proposal, there is a simpler approach. Since this community has made it (relatively) clear that EOL is unwanted here, just ask on Unix & Linux. We don't have any problem with older versions there and, speaking as a diamond moderator, your EOL questions would be welcome.

  • FWIW I am willing to listen, and maybe even change the policy, but I haven't seen any good reasons so far (granted, I just skimmed the above question so far) – Seth Sep 16 '14 at 15:36
  • 1
    @Seth the main reason for me is that 1) upgrading is not always an option so we're basically saying "screw you" to anyone who doesn't have 100% control of their machine and 2) upgrading can be a hassle and I, personally, object to being forced into it. Whatever, I don't really feel very strongly about this, if the community doesn't want them, pass them on to U&L :) – terdon Sep 16 '14 at 15:50
  • Ah, but if we do help them say 'Install xx new Program on 9.04, missing dependencies' we would end up telling them to try and install newer versions of certain programs that that program needs - thus only partially upgrading some of the system, and probably breaking some of the things they stayed on that version for... – Mateo Sep 16 '14 at 16:02
  • @Mateo that's different. Questions like "How can I install the newest version of X on my 10-year-old machine" are indeed a problem. I was thinking more of questions like "How can I mount a samba share on version Y" or whatever, where the details have changed in the newer Ubuntus. – terdon Sep 16 '14 at 16:05
  • 1
    "How can I mount a samba share on version Y" IMO, if your version is not relevant to your question, is better to be left out. To take your example, mounting Samba shares has been the same headache since immemorial times, but is the same headache, with the same solution for all versions. I don't care what version of Ubuntu you are using unless your question is about hardware, and most of the time I remove those references from any question to prevent people from blindly close them. – Braiam Sep 17 '14 at 13:32
  • 1
    @terdon You need to think of non LTS releases as "rolling" (in a sense). They aren't meant to survive their projected lifetime in any way shape or form. If you don't like upgrading you shouldn't be using a middle release. Just saying, even though it isn't entirely applicable. – Seth Sep 17 '14 at 19:57
  • 1
    IMHO you and @Rinzwind both deserve bonus points for pointing the asker to U & L for EOL release support. While I understand that the point on Meta is discussion and consensus, and personally I feel that the policy regarding EOL releases is necessary, I still feel that actionable information has the most value. – Elder Geek Aug 25 '15 at 21:35
0

Now Ok, Lets do it. Lets
Get rid of the EOL close vote.
Giving you my Reasons why, we should:

  • Yikes, No one really cares anyway. Right? http://meta.askubuntu.com/a/5612/47291
  • Unappreciated, Old and obscure questions get ignored and/or downvoted, so why should we try and help someone upgrade if they will hate us for it anyway, not that helping one person to understand upgrading is important will help the internet as a whole, because all in all it's just another bot in the net. Who cares if a P͕̟̜̝̖̳w̶͉͙̭o̦̟̺͟n̫͚͈i̪̥͔̝͖̥̼e̖̩͓ ̧a̗̘͇͇̪͖͇͢t̻͍͓̰͓͇͟e̘̪̖̖̼̥ ͉͚y͉͈̟̜̖͢ͅo͇͓͉ur̻̰̥̬̪͙͝ ̠̙̤ho̰͎̭̳̻͈̲͡m̨̻͙e̢͇̱ ͉͚̦̻fo͟ld̬̳͉͝e͉̮̩̼̪ṟ̣, or someone set us up the root kit.
  • Next, "Linux is about choice" Right? It is free, and open source, and I am basically

    Going to do what ever I want with it™ so why not use a old version and ask questions about it?

  • Like Everyone thinks that the Close Reasons are absolute, and that there can not be any exceptions.
  • Yep, People think that if something was closed, everything like it should be deleted and purged: Remove EOL tags , Could unanswered questions regarding EOL releases be removed via script?
  • Duplicates - it is better to find a duplicate of the question: Is it ok to mark EOL questions as duplicate?
  • Now It is clogging up the close queue, so it is not helping us "clean up" the site, it actually may be hurting our efforts in other areas.
  • Getting an extra close vote to separate Bug's and Development version reasons - after all we asked for more in the first place: Can we have more than 3 custom close reasons, pretty please?
  • Really people that ask probably all ready know they are on an old un-supported release
  • Also it is a major reason I have not been using the close queue lately
  • And I like an interesting challenge, maybe we could try and run Steam on 9.04?
  • Denying answers isn't forcing anyone to do anything.

Yes, this may be a bit too overly negative, and untill now I've been arguing the other side, but I just wanna tell you how I'm feeling

  • Interesting list of reason indeed, although I must admit that being new to the site, some of them obviously went a bit over my head. And thanks for the links, too, they gave me a further sense of the history of this EOL question. Just for clarity, I want to say that my suggestion is not that we should stop recommending people to upgrade, but rather that EOL q:s should be allow so that if there are solutions to the OP's EOL problem someone wants to share, they should be able to. Putting the 'REALLY YOU SHOULD UPGRADE' sticker on there as well is perfectly alright in my book. – Nick The Swede Sep 17 '14 at 17:29
  • You have some really good points, and I am going to have to really think about some of them, because I think you are probably right. Nick: Plastering "YOU SHOULD UPGRADE" across every EOL question wouldn't be very efficient at all at all... – Seth Sep 17 '14 at 19:52
0

First lets go over some reasons for, and against, allowing EOL questions on the site.

Reasons against allowing questions specific to EOL releases:

  • The only correct answer is to upgrade.

Non LTS releases are not meant to be used long term. Fixing whatever issue the user has might work for a short while, but soon they will have another issue, and then another, all because their release isn't support anymore. In the end, they probably should have upgraded at issue #1.

Honestly, if you don't care about the latest features, and don't need the hardware fixes in newer releases (most of these get backported to the latest LTS anyway) or don't like upgrading, you should really use an LTS release.

  • Installing newer software isn't usually possible, or is insanely complicated. Sometimes it even dumps you in dependency hell, of which you cannot escape without reinstalling.

This isn't always the case, but most of the time if it’s easy you won't need to ask a question. Again, if you don't like upgrading you should be using LTS.

  • Security concerns, as outlined in Oli's answer.

  • Hardware problems aren't going to be fixed, or aren't worth the effort trying to fix.

If your hardware isn't supported, it isn't going to be, and fixing it is usually either impossible, or a lot more work than upgrading.

  • Bugs/issues aren't going to get fixed, or they already are fixed, in a newer release.

Trying to get a solution for glitches/hardware issues (similar to the above) and other generic bugs will not be backported to unsupported releases, asking questions about them will help no one, including the OP.

  • It staves off some questions that aren't likely to help other people anyway. We already get more questions than we can handle. Theoretically. Closing them might just cause more time and effort than allowing them. Valid points all around here.

  • More?

Reasons for allowing questions specific to EOL releases:

  • It looks like we help more people, in the short run (see bullet one in the section above).

Answering questions specific to EOL releases might give the OP a short term fix to their problem, but like I pointed out in the section above, they will continue to run into issues and problems because their release is no longer supported.

  • It causes less controversy.. (does it?)

  • Fewer things to close. Is that good? Maybe.. maybe not. After all, we're building a knowledge base here.

  • But Linux is about choice! While Linux might be about choice in the sense that you can get the source for almost any componant and make whatever changes you like, that has no effect on using a really old release nor our decision to support it.

  • More?

Does that sound biased? That's probably because it is. I have tried really hard to think allowing these questions is a good idea, but the more I think about it, the harder I find it. Now don't stop reading yet.. I am still willing to think about revising the policy, but first I’d like some solid examples of where the site would benefit by answering these questions, or just some questions specific to EoL releases that you feel needed a good answer other than “you need to upgrade”. Otherwise I don't really see any good reasons for changing this policy.


A side note: I believe we, as a community, have gradually trailed off from the original intent of these close reasons into more broader paths where any question mentioning an end of life release gets OT close votes (actually, we've been trying to save questions that aren't specific to EoL versions for a long time now, but the close reasons don't say this). I don’t think this is what was intended when the close reasons were put into place and I feel it hurts the site in the long run.

I’ve proposed a good (at least I think it is good ;) partial solution to the problem, outlined in my meta post here: Let's refine and clarify our off-topic close reasons I believe this covers the majority of your concerns right here, actually.

  • There is always one place EOL questions are not off-topic: Unix & Linux. Migrate any questions you see there. – muru Oct 26 '14 at 10:11
  • 1
    @muru This isn't about migrations, and I talked to the U&L folks, they said they probably don't want them. – Seth Oct 26 '14 at 14:05

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .